com.comtrade.ecm.engine.objects

## Interface Mutable

- All Known Subinterfaces:
    Configurable
  All Known Implementing Classes:
    AbstractConfigurable, Client

      public interface Mutable

  An object whose state can be changed.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `set(java.lang.String attributeName, java.lang.Object attributeValue)` Injects a value `attributeValue` into an attribute named `attributeName`
    `default void` | `set(java.lang.String attributeName, java.lang.Object attributeValue, java.util.Locale locale)` Injects a value `attributeValue` into an attribute named `attributeName`, using `Locale` `locale`. Default behaviour is : ignore `locale` parameter, do simple `set(attributeName, attributeValue)` mutation.

- - ### Method Detail

    - #### set

          void set(java.lang.String attributeName,
                   java.lang.Object attributeValue)
            throws EcmException

      Injects a value `attributeValue` into an attribute named `attributeName`
      Parameters:
        `attributeName` - The name of an attribute whose value should be changed
        `attributeValue` - New value of an attribute
      Throws:
        `EcmException` - If something goes wrong

    - #### set

          default void set(java.lang.String attributeName,
                           java.lang.Object attributeValue,
                           java.util.Locale locale)
                    throws EcmException

      Injects a value `attributeValue` into an attribute named `attributeName`, using `Locale` `locale`.
      Default behaviour is : ignore `locale` parameter, do simple `set(attributeName, attributeValue)` mutation.
      Parameters:
        `attributeName` - The name of an attribute whose value should be changed
        `attributeValue` - New value of an attribute
        `locale` - Locale that (can) influence the way of an attribute mutation.
      Throws:
        `EcmException` - If something goes wrong